const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_5 = z.x;
    fabs(z.z);
    fabs(z.y);
    fabs(z.x);
    v1_56 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+56;
    z.x = z.x & -0x10000 | v1_56 & -0xff01 | v1_56 / 2 & 0x7f00;
    if v1_56 & 256 == 0:;
        pass;
    v1_60 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+60;
    z.x = z.x & -0x10000 | v1_60 & -0xff01 | v1_60 / 2 & 0x7f00;
    v1_70 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+70;
    z.x = z.x & -0x10000 | v1_70 & -0xff01 | v1_70 / 2 & 0x7f00;
    v3_b8 = z.z + 8;
    *v3_b8 = *((arg1[48] - 16)) * *v3_b8;
    v4_db = 0.0;
    st7_global_2d_to_2d_local = v4_db # st7;
    *z.y = v4_db;
    *v0_5 = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = v0_5;
    return v0_5;


	}